> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itspropel.com/llms.txt.
> For full documentation content, see https://docs.itspropel.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itspropel.com/_mcp/server.

# List All Transactions

GET https://admin/payment-processing/transactions

Reference: https://docs.itspropel.com/propel-biz/22-payment-processing/admin-transactions/list-all-transactions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: PropelBiz
  version: 1.0.0
paths:
  /admin/payment-processing/transactions:
    get:
      operationId: list-all-transactions
      summary: List All Transactions
      tags:
        - >-
          subpackage_22PaymentProcessing.subpackage_22PaymentProcessing/adminTransactions
      parameters:
        - name: status
          in: query
          description: >-
            Optional: Filter by status -
            pending|processing|completed|failed|refunded|partially_refunded|disputed
          required: false
          schema:
            type: string
        - name: tenant_uuid
          in: query
          description: 'Optional: Filter by tenant UUID'
          required: false
          schema:
            type: string
        - name: processor
          in: query
          description: 'Optional: Filter by processor - stripe'
          required: false
          schema:
            type: string
        - name: customer_uuid
          in: query
          description: 'Optional: Filter by customer UUID'
          required: false
          schema:
            type: string
        - name: invoice_uuid
          in: query
          description: 'Optional: Filter by invoice UUID'
          required: false
          schema:
            type: string
        - name: date_from
          in: query
          description: 'Optional: Filter from date - YYYY-MM-DD'
          required: false
          schema:
            type: string
        - name: date_to
          in: query
          description: 'Optional: Filter to date - YYYY-MM-DD'
          required: false
          schema:
            type: string
        - name: sort_by
          in: query
          description: 'Optional: Sort field - created_at|amount|status'
          required: false
          schema:
            type: string
        - name: sort_direction
          in: query
          description: 'Optional: Sort direction - asc|desc'
          required: false
          schema:
            type: string
        - name: per_page
          in: query
          description: 'Optional: Results per page - default 15 - max 100'
          required: false
          schema:
            type: integer
        - name: '{{tenant_key_name}}'
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/22 PaymentProcessing_Admin -
                  Transactions_List All Transactions_Response_200
servers:
  - url: https:/
components:
  schemas:
    22 PaymentProcessing_Admin - Transactions_List All Transactions_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: >-
        22 PaymentProcessing_Admin - Transactions_List All
        Transactions_Response_200

```

## SDK Code Examples

```python
import requests

url = "https://https/admin/payment-processing/transactions"

querystring = {"status":"completed","tenant_uuid":"a3f1c9d2-4b7e-4f8a-9c3d-2e5f7a1b6c9d","processor":"stripe","customer_uuid":"d9b2f1a5-3c4e-4f7a-8b2d-1e3f5a7c9d0e","invoice_uuid":"f7a1b6c9-d2a3-4b7e-8a9c-3d2e5f7a1b6c","date_from":"2024-01-01","date_to":"2024-04-30","sort_by":"created_at","sort_direction":"desc","per_page":"15"}

payload = { "{{tenant_key_value1}}|{{tenant_key_value2}}": "tenant123|tenant456" }
headers = {
    "{{tenant_key_name}}": "X-Tenant-Key",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://https/admin/payment-processing/transactions?status=completed&tenant_uuid=a3f1c9d2-4b7e-4f8a-9c3d-2e5f7a1b6c9d&processor=stripe&customer_uuid=d9b2f1a5-3c4e-4f7a-8b2d-1e3f5a7c9d0e&invoice_uuid=f7a1b6c9-d2a3-4b7e-8a9c-3d2e5f7a1b6c&date_from=2024-01-01&date_to=2024-04-30&sort_by=created_at&sort_direction=desc&per_page=15';
const options = {
  method: 'GET',
  headers: {'{{tenant_key_name}}': 'X-Tenant-Key', 'Content-Type': 'application/json'},
  body: '{"{{tenant_key_value1}}|{{tenant_key_value2}}":"tenant123|tenant456"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://https/admin/payment-processing/transactions?status=completed&tenant_uuid=a3f1c9d2-4b7e-4f8a-9c3d-2e5f7a1b6c9d&processor=stripe&customer_uuid=d9b2f1a5-3c4e-4f7a-8b2d-1e3f5a7c9d0e&invoice_uuid=f7a1b6c9-d2a3-4b7e-8a9c-3d2e5f7a1b6c&date_from=2024-01-01&date_to=2024-04-30&sort_by=created_at&sort_direction=desc&per_page=15"

	payload := strings.NewReader("{\n  \"{{tenant_key_value1}}|{{tenant_key_value2}}\": \"tenant123|tenant456\"\n}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("{{tenant_key_name}}", "X-Tenant-Key")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://https/admin/payment-processing/transactions?status=completed&tenant_uuid=a3f1c9d2-4b7e-4f8a-9c3d-2e5f7a1b6c9d&processor=stripe&customer_uuid=d9b2f1a5-3c4e-4f7a-8b2d-1e3f5a7c9d0e&invoice_uuid=f7a1b6c9-d2a3-4b7e-8a9c-3d2e5f7a1b6c&date_from=2024-01-01&date_to=2024-04-30&sort_by=created_at&sort_direction=desc&per_page=15")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["{{tenant_key_name}}"] = 'X-Tenant-Key'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"{{tenant_key_value1}}|{{tenant_key_value2}}\": \"tenant123|tenant456\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://https/admin/payment-processing/transactions?status=completed&tenant_uuid=a3f1c9d2-4b7e-4f8a-9c3d-2e5f7a1b6c9d&processor=stripe&customer_uuid=d9b2f1a5-3c4e-4f7a-8b2d-1e3f5a7c9d0e&invoice_uuid=f7a1b6c9-d2a3-4b7e-8a9c-3d2e5f7a1b6c&date_from=2024-01-01&date_to=2024-04-30&sort_by=created_at&sort_direction=desc&per_page=15")
  .header("{{tenant_key_name}}", "X-Tenant-Key")
  .header("Content-Type", "application/json")
  .body("{\n  \"{{tenant_key_value1}}|{{tenant_key_value2}}\": \"tenant123|tenant456\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://https/admin/payment-processing/transactions?status=completed&tenant_uuid=a3f1c9d2-4b7e-4f8a-9c3d-2e5f7a1b6c9d&processor=stripe&customer_uuid=d9b2f1a5-3c4e-4f7a-8b2d-1e3f5a7c9d0e&invoice_uuid=f7a1b6c9-d2a3-4b7e-8a9c-3d2e5f7a1b6c&date_from=2024-01-01&date_to=2024-04-30&sort_by=created_at&sort_direction=desc&per_page=15', [
  'body' => '{
  "{{tenant_key_value1}}|{{tenant_key_value2}}": "tenant123|tenant456"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    '{{tenant_key_name}}' => 'X-Tenant-Key',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://https/admin/payment-processing/transactions?status=completed&tenant_uuid=a3f1c9d2-4b7e-4f8a-9c3d-2e5f7a1b6c9d&processor=stripe&customer_uuid=d9b2f1a5-3c4e-4f7a-8b2d-1e3f5a7c9d0e&invoice_uuid=f7a1b6c9-d2a3-4b7e-8a9c-3d2e5f7a1b6c&date_from=2024-01-01&date_to=2024-04-30&sort_by=created_at&sort_direction=desc&per_page=15");
var request = new RestRequest(Method.GET);
request.AddHeader("{{tenant_key_name}}", "X-Tenant-Key");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"{{tenant_key_value1}}|{{tenant_key_value2}}\": \"tenant123|tenant456\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "{{tenant_key_name}}": "X-Tenant-Key",
  "Content-Type": "application/json"
]
let parameters = ["{{tenant_key_value1}}|{{tenant_key_value2}}": "tenant123|tenant456"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://https/admin/payment-processing/transactions?status=completed&tenant_uuid=a3f1c9d2-4b7e-4f8a-9c3d-2e5f7a1b6c9d&processor=stripe&customer_uuid=d9b2f1a5-3c4e-4f7a-8b2d-1e3f5a7c9d0e&invoice_uuid=f7a1b6c9-d2a3-4b7e-8a9c-3d2e5f7a1b6c&date_from=2024-01-01&date_to=2024-04-30&sort_by=created_at&sort_direction=desc&per_page=15")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```